import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconChartOne as IconChartOneClass } from "../../../../components/icon/icons/chart-one.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconChartOne = (props) => {
  IconChartOneClass.define();
  const JSXElement = getReactComponent("gds-icon-chart-one");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconChartOne.displayName = "IconChartOne";
export {
  IconChartOne
};
